G_List_Cpp_Iterator(3)

NAME - G_List_Cpp_Iterator

HEADER REQUIRED
#include <gtk--/base.h&gt;>

PUBLIC MEMBER INDEX
    typedef G_List_Cpp_Iterator  self;
    bool  operator==(const self& x) const;
    bool  operator!=(const self& x) const;
    G_List_Cpp_Iterator(G_List *x);
    G_List_Cpp_Iterator(GList *n);
    G_List_Cpp_Iterator();
    G_List_Cpp_Iterator(const G_List_Cpp_Iterator& x);
    interf * operator*() const;
    self&  operator++();
    self  operator++(int);
    self&  operator--();
    self  operator--(int);

PRIVATE MEMBER INDEX
    GList * node;

PUBLIC MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS